Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface RosettaNetBindingMBean

All Superinterfaces:
  BindingMBean, weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface RosettaNetBindingMBean
extends BindingMBean

The class represents the RosettaNet Binding type supported by WLI for Trading Partners. The RosettaNet protocol supports non-repudiation by digitally signing outbound messages and acknowledgements based on the attributes is-signature-required and is-receipt-signature-required. A predefined set of algorithms and parameters are provided by the WLI implementation.

Field Summary
`static String` | `CIPHER_3DES`
`static String` | `CIPHER_DES`
`static String` | `CIPHER_NONE`
`static String` | `CIPHER_RC2`
`static String` | `CIPHER_RC5`
`static String` | `ENCRYPT_ENTIRE_PAYLOAD`
`static String` | `ENCRYPT_NONE`
`static String` | `ENCRYPT_PAYLOAD`
`static String` | `MD5`
`static String` | `SHA1`

Fields inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`EBXML, EBXML_10, EBXML_20, ROSETTANET, ROSETTANET_11, ROSETTANET_20, WEBSERVICE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addEncryptionCertificate(String name)` Registers the name or alias of the encryption certificate for encrypting messages digitally.
`void` | `addFailureNotifier(String tpName, String bindingName)` Add the Failure Notifier from the Binding for this Trading Partner .
`void` | `addFailureReportAdministrator(String tpName, String bindingName)` Add the Failure Report Administrator from the Binding for this Trading Partner .
`void` | `addReferenceToEncryptionCertificate(CertificateMBean certMBean)` Internal Use Only - Registers the certificate mbean of type encryption certificate.
`void` | `addReferenceToFailure(FailureMBean mbean)` Internal Use Only - Add the mbean for Failure Notifier for Administrator .
`void` | `addReferenceToSignatureCertificate(CertificateMBean certMBean)` Internal Use Only - Registers the certificate mbean of type signature certificate.
`void` | `addSignatureCertificate(String name)` Registers the name or alias of the signature certificate for encrypting messages digitally.
`String` | `getCipherAlgorithm()` Specifies the algorithm to be used for encrypting messages.
`String` | `getEncryptionCertificateName()` OAM Use only - Gets the name of Encryption Certificate .
`String` | `getEncryptionLevel()` Specifies how much of the message content is to be encrypted.
`String` | `getMessageDigestAlgorithm()` Specifies the algorithm to be used for message digest.
`String` | `getProcessTimeout()` Specifies the amount of time (in milliseconds) a PIP can be active before timing out.
`int` | `getRetryCount()` Specifies the maximum number of retries for sending a reliably delivered message The default is 0.
`String` | `getRetryInterval()` Specifies the time interval (in milliseconds) between retries of sending a reliably delivered message following a timeout waiting for a message acknowledgement.
`String` | `getSignatureCertificateName()` OAM use only - Gets the name of Signature Certificate .
`boolean` | `isSignatureReceiptRequired()` Specifies that the message is to be acknowledged by a digitally signed receipt acknowledgement message using the signature certificate of the party sending the acknowledgement
`boolean` | `isSignatureRequired()` Specifies that the message is to be digitally signed using the signature certificate of the trading partner sending the message.
`void` | `removeEncryptionCertificate()` Removes the reference for the encryption certificate used for encrypting messages.
`void` | `removeFailureNotifier()` Removes the Failure Notifier from the Binding for this Trading Partner .
`void` | `removeFailureReportAdministrator()` Removes the Failure Notifier for Administrator from the Binding for this Trading Partner .
`void` | `removeSignatureCertificate()` Removes the reference for the signature certificate used for digitally signing message.
`CertificateMBean` | `retrieveEncryptionCertificate()` Retrieves the CertificateMBean for encryption certificate..
`FailureMBean` | `retrieveFailureNotifier()` Retrieves the Failure Notifier from RosettaNet Binding for this Trading Partner .
`FailureMBean` | `retrieveFailureReportAdministrator()` Retrieves the Failure for Administrator from RosettaNet Binding for the Trading Partner .
`CertificateMBean` | `retrieveSignatureCertificate()` Retrieves the CertificateMBean for signature certificate..
`void` | `setCipherAlgorithm(String newValue)` Registers the algorithm to be used for encrypting messages.
`void` | `setEncryptionLevel(String newValue)` Registers how much of the message content is to be encrypted.
`void` | `setMessageDigestAlgorithm(String newValue)` Registers the algorithm to be used for computing message digest for Digital Signatures.
`void` | `setProcessTimeout(String description)` Specifies the time interval after which a PIP can be timed out.
`void` | `setRetryCount(int newValue)` Registers the maximum number of retries for sending a reliably delivered message
`void` | `setRetryInterval(String description)` Registers the time interval for reliably sending messages following a timeout waiting for a message acknowledgement.
`void` | `setSignatureReceiptRequired(boolean newValue)` Registers that the message acknowledgements would be digitally signed or not using the signature certificate of the trading partner
`void` | `setSignatureRequired(boolean newValue)` Registers that the message would be digitally signed as a whole or not, using the signature certificate of the trading partner
`void` | `updateAll(String businessProtocolName, String businessProtocolVersion, boolean isDefault, boolean isSignatureRequired, boolean isReceiptSignatureRequired, String cipherAlgorithm, String messageDigestAlgorithm, String encryptionLevel, int retryCount, String retryInterval, String processTimeout)` Updates the Rosettanet Binding

Methods inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`addReferenceToTransport, addTransport, getBindingName, getBusinessProtocolName, getBusinessProtocolVersion, getTradingPartnerName, isDefaultBinding, isEbxml, isRosettaNet, isWebService, removeTransport, retrieveTradingPartner, retrieveTransport, setBindingName, setBusinessProtocolName, setBusinessProtocolVersion, setDefaultBinding, setEbxml, setRosettaNet, setWebService`

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CIPHER_NONE

    public static final String CIPHER_NONE

See Also:
  Constant Field Values

### CIPHER_RC5

    public static final String CIPHER_RC5

See Also:
  Constant Field Values

### CIPHER_DES

    public static final String CIPHER_DES

See Also:
  Constant Field Values

### CIPHER_3DES

    public static final String CIPHER_3DES

See Also:
  Constant Field Values

### CIPHER_RC2

    public static final String CIPHER_RC2

See Also:
  Constant Field Values

### ENCRYPT_NONE

    public static final String ENCRYPT_NONE

See Also:
  Constant Field Values

### ENCRYPT_PAYLOAD

    public static final String ENCRYPT_PAYLOAD

See Also:
  Constant Field Values

### ENCRYPT_ENTIRE_PAYLOAD

    public static final String ENCRYPT_ENTIRE_PAYLOAD

See Also:
  Constant Field Values

### SHA1

    public static final String SHA1

See Also:
  Constant Field Values

### MD5

    public static final String MD5

See Also:
  Constant Field Values

Method Detail

### isSignatureRequired

    public boolean isSignatureRequired()

  Specifies that the message is to be digitally signed using the signature certificate of the trading partner sending the message. Archiving of signed messages in a secure audit log is controlled by the global attribute secure-audit-logging using the TradingPartnerMgmtMBean. The message will be signed as a whole implies the parts of the message would not be signed individually

  Returns:
    - true if message is to be signed or not. default is no, message would not be signed
  See Also:
    `TradingPartnerMgmtMBean`

### setSignatureRequired

    public void setSignatureRequired(boolean newValue)
                              throws javax.management.InvalidAttributeValueException

  Registers that the message would be digitally signed as a whole or not, using the signature certificate of the trading partner

  Parameters:
    `newValue` - - true if the message is to be signed or false if not
  Throws:
    `javax.management.InvalidAttributeValueException`

### isSignatureReceiptRequired

    public boolean isSignatureReceiptRequired()

  Specifies that the message is to be acknowledged by a digitally signed receipt acknowledgement message using the signature certificate of the party sending the acknowledgement

  Returns:
    - true if acknowledged is to be signed or not. default is no, message would not be signed

### setSignatureReceiptRequired

    public void setSignatureReceiptRequired(boolean newValue)
                                     throws javax.management.InvalidAttributeValueException

  Registers that the message acknowledgements would be digitally signed or not using the signature certificate of the trading partner

  Parameters:
    `newValue` - - true if the message is to be signed or false if not
  Throws:
    `javax.management.InvalidAttributeValueException`

### getRetryCount

    public int getRetryCount()

  Specifies the maximum number of retries for sending a reliably delivered message The default is 0.

### setRetryCount

    public void setRetryCount(int newValue)
                       throws javax.management.InvalidAttributeValueException

  Registers the maximum number of retries for sending a reliably delivered message

  Parameters:
    `newValue` - - the retry count
  Throws:
    `javax.management.InvalidAttributeValueException`

### getRetryInterval

    public String getRetryInterval()

  Specifies the time interval (in milliseconds) between retries of sending a reliably delivered message following a timeout waiting for a message acknowledgement. Default=0y0m0dt0h0m60s

  Returns:
    the retry interval, specified in 0y0m0dt0h0m0s

### setRetryInterval

    public void setRetryInterval(String description)
                          throws javax.management.InvalidAttributeValueException

  Registers the time interval for reliably sending messages following a timeout waiting for a message acknowledgement.

  Parameters:
    `description` - - the retry interval, specified in timer contorl format.
  Throws:
    `javax.management.InvalidAttributeValueException`

### getCipherAlgorithm

    public String getCipherAlgorithm()

  Specifies the algorithm to be used for encrypting messages.

  Returns:
    possible return value are

    - RC5
    - DES
    - 3DES
    - RC2

    Default value is NONE, implies no algorithm would be used to encrypt message

### setCipherAlgorithm

    public void setCipherAlgorithm(String newValue)
                            throws javax.management.InvalidAttributeValueException

  Registers the algorithm to be used for encrypting messages. Possible value are

  - RC5
  - DES
  - 3DES
  - RC2

  Default value is NONE, implies no algorithm would be used to encrypt message

  Parameters:
    `newValue` - - the cipher algorithm used
  Throws:
    `javax.management.InvalidAttributeValueException`

### getMessageDigestAlgorithm

    public String getMessageDigestAlgorithm()

  Specifies the algorithm to be used for message digest.

  Returns:
    possible return value are

    - SHA-1
    - MD5

    Default value is SHA-1, algorithm would be used to compute message digest for Digital Signature

### setMessageDigestAlgorithm

    public void setMessageDigestAlgorithm(String newValue)
                                   throws javax.management.InvalidAttributeValueException

  Registers the algorithm to be used for computing message digest for Digital Signatures. Possible value are

  - SHA-1
  - MD5

  Parameters:
    `newValue` - - the message digest algorithm used
  Throws:
    `javax.management.InvalidAttributeValueException`

### getProcessTimeout

    public String getProcessTimeout()

  Specifies the amount of time (in milliseconds) a PIP can be active before timing out. The default value, if not specified is 0.

  Returns:
    - the time, specified in 0y0m0dt0h0m60s

### setProcessTimeout

    public void setProcessTimeout(String description)
                           throws javax.management.InvalidAttributeValueException

  Specifies the time interval after which a PIP can be timed out.

  Parameters:
    `description` - - the process timeout value, specified in timer control format.
  Throws:
    `javax.management.InvalidAttributeValueException`

### getEncryptionLevel

    public String getEncryptionLevel()

  Specifies how much of the message content is to be encrypted. Possible value are

  - PAYLOAD
  - ENTIRE_PAYLOAD

  Default value is NONE, implies message would not be encrypted

### setEncryptionLevel

    public void setEncryptionLevel(String newValue)
                            throws javax.management.InvalidAttributeValueException

  Registers how much of the message content is to be encrypted. Possible value are

  - PAYLOAD
  - ENTIRE_PAYLOAD

  Parameters:
    `newValue` - - the encryption level
  Throws:
    `javax.management.InvalidAttributeValueException`

### addEncryptionCertificate

    public void addEncryptionCertificate(String name)
                                  throws ConfigurationException

  Registers the name or alias of the encryption certificate for encrypting messages digitally. This method does not import the certificate in the key store, rather only adds a reference to the certificate as stored in Key Store

  Parameters:
    `name` - - Name of the certificate alias in Java Key Store
  Throws:
    `ConfigurationException`
  See Also:
    `CertificateMBean`

### addReferenceToEncryptionCertificate

    public void addReferenceToEncryptionCertificate(CertificateMBean certMBean)
                                             throws ConfigurationException

  Internal Use Only - Registers the certificate mbean of type encryption certificate.

  Parameters:
    `certMBean` - - encryption certificate mbean
  Throws:
    `ConfigurationException`

### addSignatureCertificate

    public void addSignatureCertificate(String name)
                                 throws ConfigurationException

  Registers the name or alias of the signature certificate for encrypting messages digitally. This method does not import the certificate in the key store, rather only adds a reference to the certificate as stored in Key Store

  Parameters:
    `name` - - Name of the certificate alias in Java Key Store
  Throws:
    `ConfigurationException`
  See Also:
    `CertificateMBean`

### addReferenceToSignatureCertificate

    public void addReferenceToSignatureCertificate(CertificateMBean certMBean)
                                            throws ConfigurationException

  Internal Use Only - Registers the certificate mbean of type signature certificate.

  Parameters:
    `certMBean` - - signature certificate mbean
  Throws:
    `ConfigurationException`

### addFailureNotifier

    public void addFailureNotifier(String tpName,
                                   String bindingName)
                            throws ConfigurationException

  Add the Failure Notifier from the Binding for this Trading Partner .

  Parameters:
    `tpName` - - Name of the trading partner
    `bindingName` - - Binding used for failure notifier
  Throws:
    `ConfigurationException`

### addFailureReportAdministrator

    public void addFailureReportAdministrator(String tpName,
                                              String bindingName)
                                       throws ConfigurationException

  Add the Failure Report Administrator from the Binding for this Trading Partner .

  Parameters:
    `tpName` - - Name of the trading partner
    `bindingName` - - Binding used for reporting failure to administrator
  Throws:
    `ConfigurationException`

### addReferenceToFailure

    public void addReferenceToFailure(FailureMBean mbean)
                               throws ConfigurationException

  Internal Use Only - Add the mbean for Failure Notifier for Administrator .

  Parameters:
    `mbean` - - MBean of failure
  Throws:
    `ConfigurationException`

### retrieveFailureReportAdministrator

    public FailureMBean retrieveFailureReportAdministrator()
                                                    throws ManagementException

  Retrieves the Failure for Administrator from RosettaNet Binding for the Trading Partner .

  Returns:
    Failure
  Throws:
    `ManagementException` - - If the pip failure for admin is not specified

### retrieveFailureNotifier

    public FailureMBean retrieveFailureNotifier()
                                         throws ManagementException

  Retrieves the Failure Notifier from RosettaNet Binding for this Trading Partner .

  Throws:
    `ManagementException` - - If the pip failure for admin is not specified

### removeFailureNotifier

    public void removeFailureNotifier()
                               throws DeleteException

  Removes the Failure Notifier from the Binding for this Trading Partner .

  Throws:
    `DeleteException` - - If the pip failure for admin is not specified

### removeFailureReportAdministrator

    public void removeFailureReportAdministrator()
                                          throws DeleteException

  Removes the Failure Notifier for Administrator from the Binding for this Trading Partner .

  Throws:
    `DeleteException` - - If the pip failure for admin is not specified

### removeSignatureCertificate

    public void removeSignatureCertificate()
                                    throws DeleteException

  Removes the reference for the signature certificate used for digitally signing message. This method does not delete/remove the certificate from Key Store, only removes the reference

  Throws:
    `DeleteException`

### removeEncryptionCertificate

    public void removeEncryptionCertificate()
                                     throws DeleteException

  Removes the reference for the encryption certificate used for encrypting messages. This method does not delete/remove the certificate from Key Store, only removes the reference

  Throws:
    `DeleteException`

### retrieveSignatureCertificate

    public CertificateMBean retrieveSignatureCertificate()
                                                  throws ManagementException

  Retrieves the CertificateMBean for signature certificate.. The Certificate object can be used to retrieve the X509 certificate used for signing messages

  Returns:
    - Returns the signature certificate, is configured. `null` would be returned if there is no matching signature certificate
  Throws:
    `ManagementException` - - If signature certificate cannot be located in the Java Key Store

### retrieveEncryptionCertificate

    public CertificateMBean retrieveEncryptionCertificate()
                                                   throws ManagementException

  Retrieves the CertificateMBean for encryption certificate.. The Certificate object can be used to retrieve the X509 certificate used for encrypting messages

  Returns:
    - Returns the encryption certificate, if configured. `null` would be returned if there is no matching encryption certificate
  Throws:
    `ManagementException` - - If encryption certificate cannot be located in the Java Key Store

### getSignatureCertificateName

    public String getSignatureCertificateName()

  OAM use only - Gets the name of Signature Certificate .

  Returns:
    name of signature certificate, null if not configured

### getEncryptionCertificateName

    public String getEncryptionCertificateName()

  OAM Use only - Gets the name of Encryption Certificate .

  Returns:
    name of signature certificate, null if not configured

### updateAll

    public void updateAll(String businessProtocolName,
                          String businessProtocolVersion,
                          boolean isDefault,
                          boolean isSignatureRequired,
                          boolean isReceiptSignatureRequired,
                          String cipherAlgorithm,
                          String messageDigestAlgorithm,
                          String encryptionLevel,
                          int retryCount,
                          String retryInterval,
                          String processTimeout)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the Rosettanet Binding

  Parameters:
    `businessProtocolName` - - Name of the business procotol
    `businessProtocolVersion` - - Version of this buisness Protocol
    `isDefault` - - Is this the default binding
    `isSignatureRequired` - - Is signature required
    `isReceiptSignatureRequired` - - Is Receipt Signature signature required
    `cipherAlgorithm` - - cipher Algorithm
    `messageDigestAlgorithm` - - message digest Algorithm
    `encryptionLevel` - - encryptionLevel
    `retryCount` - - Retry Count
    `retryInterval` - - retryInterval in 0y0m0dt0h0m0s
    `processTimeout` - - Process Timeout in 0y0m0dt0h0m0s
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD